Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.openxml4j.opc
Class ContentTypes

    java.lang.Object
      org.apache.poi.openxml4j.opc.ContentTypes

    public final class ContentTypes

extends java.lang.Object

Open Packaging Convention content types (see Annex F : Standard Namespaces and Content Types).

Author:
  CDubettier define some constants, Julien Chable

Field Summary
`static java.lang.String` | `CORE_PROPERTIES_PART` Core Properties part.
`static java.lang.String` | `CUSTOM_XML_PART` Custom XML part.
`static java.lang.String` | `DIGITAL_SIGNATURE_CERTIFICATE_PART` Digital Signature Certificate part.
`static java.lang.String` | `DIGITAL_SIGNATURE_ORIGIN_PART` Digital Signature Origin part.
`static java.lang.String` | `DIGITAL_SIGNATURE_XML_SIGNATURE_PART` Digital Signature XML Signature part.
`static java.lang.String` | `EXTENSION_GIF`
`static java.lang.String` | `EXTENSION_JPG_1`
`static java.lang.String` | `EXTENSION_JPG_2`
`static java.lang.String` | `EXTENSION_PICT`
`static java.lang.String` | `EXTENSION_PNG`
`static java.lang.String` | `EXTENSION_TIFF`
`static java.lang.String` | `EXTENSION_XML`
`static java.lang.String` | `IMAGE_GIF`
`static java.lang.String` | `IMAGE_JPEG`
`static java.lang.String` | `IMAGE_PICT` Pict image format.
`static java.lang.String` | `IMAGE_PNG`
`static java.lang.String` | `IMAGE_TIFF` TIFF image format.
`static java.lang.String` | `PLAIN_OLD_XML` Plain old xml.
`static java.lang.String` | `RELATIONSHIPS_PART` Relationships part.
`static java.lang.String` | `XML` XML file.

Constructor Summary
`ContentTypes()`

Method Summary
`static java.lang.String` | `getContentTypeFromFileExtension(java.lang.String filename)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CORE_PROPERTIES_PART

    public static final java.lang.String CORE_PROPERTIES_PART

  Core Properties part.

  See Also:
    Constant Field Values

### DIGITAL_SIGNATURE_CERTIFICATE_PART

    public static final java.lang.String DIGITAL_SIGNATURE_CERTIFICATE_PART

  Digital Signature Certificate part.

  See Also:
    Constant Field Values

### DIGITAL_SIGNATURE_ORIGIN_PART

    public static final java.lang.String DIGITAL_SIGNATURE_ORIGIN_PART

  Digital Signature Origin part.

  See Also:
    Constant Field Values

### DIGITAL_SIGNATURE_XML_SIGNATURE_PART

    public static final java.lang.String DIGITAL_SIGNATURE_XML_SIGNATURE_PART

  Digital Signature XML Signature part.

  See Also:
    Constant Field Values

### RELATIONSHIPS_PART

    public static final java.lang.String RELATIONSHIPS_PART

  Relationships part.

  See Also:
    Constant Field Values

### CUSTOM_XML_PART

    public static final java.lang.String CUSTOM_XML_PART

  Custom XML part.

  See Also:
    Constant Field Values

### PLAIN_OLD_XML

    public static final java.lang.String PLAIN_OLD_XML

  Plain old xml. Note - OOXML uses application/xml, and not text/xml!

  See Also:
    Constant Field Values

### IMAGE_JPEG

    public static final java.lang.String IMAGE_JPEG

See Also:
  Constant Field Values

### EXTENSION_JPG_1

    public static final java.lang.String EXTENSION_JPG_1

See Also:
  Constant Field Values

### EXTENSION_JPG_2

    public static final java.lang.String EXTENSION_JPG_2

See Also:
  Constant Field Values

### IMAGE_PNG

    public static final java.lang.String IMAGE_PNG

See Also:
  Constant Field Values

### EXTENSION_PNG

    public static final java.lang.String EXTENSION_PNG

See Also:
  Constant Field Values

### IMAGE_GIF

    public static final java.lang.String IMAGE_GIF

See Also:
  Constant Field Values

### EXTENSION_GIF

    public static final java.lang.String EXTENSION_GIF

See Also:
  Constant Field Values

### IMAGE_TIFF

    public static final java.lang.String IMAGE_TIFF

  TIFF image format.

  See Also:
    http://partners.adobe.com/public/developer/tiff/index.html#spec, Constant Field Values

### EXTENSION_TIFF

    public static final java.lang.String EXTENSION_TIFF

See Also:
  Constant Field Values

### IMAGE_PICT

    public static final java.lang.String IMAGE_PICT

  Pict image format.

  See Also:
    http://developer.apple.com/documentation/mac/QuickDraw/QuickDraw-2.html, Constant Field Values

### EXTENSION_PICT

    public static final java.lang.String EXTENSION_PICT

See Also:
  Constant Field Values

### XML

    public static final java.lang.String XML

  XML file.

  See Also:
    Constant Field Values

### EXTENSION_XML

    public static final java.lang.String EXTENSION_XML

See Also:
  Constant Field Values

Constructor Detail

### ContentTypes

    public ContentTypes()

Method Detail

### getContentTypeFromFileExtension

    public static java.lang.String getContentTypeFromFileExtension(java.lang.String filename)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.